Technical FAQs

Ask a Question

Application Version within StruxureWare Data Center Expert client does not update after upgrading devices to AOS 6.4.6 and newer

Issue
 
The application version listed within the StruxureWare Data Center Expert (DCE) client does not update after upgrading APC Network Management Card 2 (NMC2) devices to APC Operating System (AOS) 6.4.6 or newer. The version listed post upgrade will show as the pre-upgrade version even though the device has upgraded successfully.
 
For devices newly discovered with AOS 6.4.6 or newer, the application version shows as blank.

DCE also may not be able to properly determine if a firmware upgrade available is available for these devices as a result of the application version being missing/incorrect.
 
 
Product Line
 
  • StruxureWare DCE
  • Network Management Card 2 (NMC2) - AP9630/AP9630CH, AP9631/AP9631CH, AP9635/AP9635CH
Devices with an embedded Network Management Card 2 include (but are not limited to): 2G Metered/Switched Rack PDUs (AP84XX, AP86XX, AP88XX, AP89XX), Certain Audio/Video Network Management Enabled products, SRT Smart-UPS.
 
 
Environment
  • Users upgrading and/or monitoring NMC2 devices with AOS 6.4.6 and higher
  • StruxureWare DCE 7.X
 
Cause
 
This problem is caused by a firmware enhancement on NMC2 devices beginning with AOS 6.4.6 and newer.
 
Upgrading devices to AOS 6.4.6 within DCE’s mass firmware update feature will be unaffected since DCE has already stored the application version of the pre-6.4.6 device and will continue to be able to determine if an upgrade is possible. In addition, for devices discovered in DCE pre-AOS 6.4.6 and was upgraded, the DCE server will continue to show the device’s previous application version after an upgrade to AOS 6.4.6 or newer. If a device is newly discovered while running AOS 6.4.6, the application version show as blank.
 
Until the below resolution is applied, upgrading devices from AOS 6.4.6 within DCE’s mass firmware update will not work since DCE is no longer able to properly read the device’s application version and determine if an upgrade is available.
 
Resolution
 
In order to resolve the above symptoms, an update to a DCE Core DDF file is needed. This DDF will automatically be available within DCE v7.4.2 (available in December, 2016) and higher. Alternatively, the appropriate DDF file can be updated manually through older versions of DCE within the Device menu->SNMP Device Communication Settings->Device Definition Files->Add/Update Definitions and browse to the local file provided here. The file will be updated from version 8 to version 9.
 
Note: The file has only been tested on more recent DCE software upgrade releases including v7.3.1, v7.4.1, and higher. We recommended that you upgrade older versions as we cannot guarantee this newer DDF will work properly with older DCE versions. If you choose to proceed with uploading this file to older DCE versions, it is suggested to create a backup before adding the attached DDF file to the system in case of unforeseen circumstances.
Was this helpful?
What can we do to improve the information ?